
function findPasswordContainer(passwd) {
	var parent = passwd;
	var secondDiv = false;
	while (parent) {
		if (parent.tagName.toLowerCase() == "div") {
			if (secondDiv) {
				break;
			}
			secondDiv = true;
		}
		parent = parent.parentNode;
	}
	return parent;
}

function hideSecondPassword() {
	var secondPasswords = document.getElementsByName("passwd1");
	if (secondPasswords != null && secondPasswords.length > 0) {
		var parent = findPasswordContainer(secondPasswords[0]);
		parent.style.display = "none";
	}
	// Now change the label for the first password.
	var firstPasswords = document.getElementsByName("passwd");
	if (firstPasswords != null && firstPasswords.length > 0) {
		var parent = findPasswordContainer(firstPasswords[0]);
		if (parent) {
			var child = parent.firstChild;
			while (child && child.tagName.toLowerCase() != "span") {
				child = child.firstChild;
			}
			if (child) {
				var label = child.innerText;
				if (label.length > 3 && label.substr(label.length-3, 3) == " 1:") {
					child.innerText = label.substr(0, label.length-3) + ":";
				}
			}
		}
	}
}

function copyPasswordToSecond() {
	var secondPasswords = document.getElementsByName("passwd1");
	if (secondPasswords != null && secondPasswords.length > 0) {
		var secondPassword = secondPasswords[0];
		var firstPasswords = document.getElementsByName("passwd");
		if (firstPasswords != null && firstPasswords.length > 0) {
			var firstPassword = firstPasswords[0];
			secondPassword.value = firstPassword.value;
		}
	}
	return true;
}

function customLoginPage(form) {
	hideSecondPassword();
	form.submit(copyPasswordToSecond);
}

function showTuringImageChallenge() {
	var challengeDiv = document.getElementById("dialogueStr");
	if (challengeDiv) {
		var challenge = challengeDiv.InnerText;
		var colonPos = challenge.lastIndexOf(":");
		if (colonPos > 0) {
			var username = challenge.substr(0, colonPos);
			challenge = challenge.substr(colonPos+1);
			challengeDiv.InnerText = challenge;
			showTuring(username);
		}
	}
}